import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService, Pagination, PagingResponseModel, ApiResponseModel, BasicApiResponseModel } from '../../shared';
import { Observable } from 'rxjs';
import { GenericDocContainerModel, EmailNotificationPDFModel } from '../../../../../../models/aggregates/generic_doc';
import { GenericDocumentCloneDTO } from '../../../data-transfer-objects';
export declare class InternalReceiptVoucherService extends BaseApiTemplateService<GenericDocContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    getReceiptsVouchersByLogin(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    getLinesByCriteria(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    sendEmailWithMultiplePDF(dtoObject: EmailNotificationPDFModel, visa: ApiVisa): Observable<Object>;
    printJasperPdf(guid: string, printServiceClassName: string, printableFormatGuid: string, apiVisa: ApiVisa, customParam?: string): Observable<Blob>;
    discardGenericDocument(apiVisa: ApiVisa, guid: string): Observable<ApiResponseModel<GenericDocContainerModel>>;
    voidGenericDocument(dtoObject: Object, apiVisa: ApiVisa, guid: string): Observable<ApiResponseModel<GenericDocContainerModel>>;
    createTemp(dtoObject: any, visa: ApiVisa): Observable<BasicApiResponseModel<GenericDocContainerModel>>;
    cloneDocument(dto: GenericDocumentCloneDTO, visa: ApiVisa): Observable<BasicApiResponseModel<GenericDocumentCloneDTO>>;
}
